---
title: "Update inventory location for  fulfillment order"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/update-inventory-location-for-fulfillment-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/update-inventory-location-for-fulfillment-order.md'
---
# Update inventory location for  fulfillment order

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /fulfillment_orders/:order_id/:fulfillment_order_id/move.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_assigned_fulfillment_orders`

## Request

### Path Parameters

* `fulfillment_order_id`

  string (required)

  Performance order id

* `order_id`

  string (required)

  Order id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `fulfillment_order`

  object

  In-blend

  * `new_location_id`

    string

    New location id

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `moved_fulfillment_order`

  object

  New item appointment details

  * `shop_id`

    string

    store ID

  * `id`

    string

    Performance order id

  * `status`

    string

    Map order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled

  * `order_id`

    string

    Order id

  * `request_status`

    string

    Request status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmitted

  * `assigned_location_id`

    string

    Assigned location id

  * `line_items`

    array<object>

    Product line information

    * `quantity`

      long

      Order Product line Product quantity

    * `shop_id`

      string

      store ID

    * `variant_id`

      string

      Product sku

    * `fulfillable_quantity`

      long

      Available in approximately Product quantities

    * `fulfillment_order_id`

      string

      Performance order id

    * `id`

      string

      Performance order Product line id

    * `line_item_id`

      string

      Product row id

  * `supported_actions`

    array<string>

    Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery

  * `assigned_location`

    object

    Location details assigned

    * `province`

      string

      Local province

    * `zip`

      string

      Location zip code

    * `address1`

      string

      Address 1

    * `address2`

      string

      Address 2

    * `city`

      string

      City

    * `name`

      string

      Location name

    * `phone`

      string

      Location phone number

    * `country_code`

      string

      Country code

    * `location_id`

      string

      Location id

  * `destination`

    object

    Consignee information

    * `city`

      string

      Consignee city

    * `address2`

      string

      Consignee address 2

    * `phone`

      string

      Consignee phone number

    * `last_name`

      string

      Consignee last name

    * `address1`

      string

      Consignee address 1

    * `company`

      string

      Consignee company

    * `province`

      string

      Consignee province

    * `zip`

      string

      Consignee address zip

    * `country`

      string

      Consignee country

    * `first_name`

      string

      Consignee name

    * `email`

      string

      Consignee mailbox

* `original_fulfillment_order`

  object

  Original order details

  * `order_id`

    string

    Order id

  * `shop_id`

    string

    store ID

  * `line_items`

    array<object>

    Product line information

    * `id`

      string

      Performance order Product line id

    * `line_item_id`

      string

      Product row id

    * `quantity`

      long

      Order Product line Product quantity

    * `shop_id`

      string

      store ID

    * `variant_id`

      string

      Product sku

    * `fulfillable_quantity`

      long

      Available in approximately Product quantities

    * `fulfillment_order_id`

      string

      Performance order id

  * `assigned_location_id`

    string

    Assigned location id

  * `id`

    string

    Performance order id

  * `status`

    string

    Map order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled

  * `supported_actions`

    array<string>

    Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery

  * `request_status`

    string

    Request status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmitted

  * `assigned_location`

    object

    Location details assigned

    * `phone`

      string

      Location phone number

    * `location_id`

      string

      Location id

    * `address1`

      string

      Address 1

    * `address2`

      string

      Address 2

    * `city`

      string

      City

    * `country_code`

      string

      Country code

    * `zip`

      string

      Location zip code

    * `province`

      string

      Local province

    * `name`

      string

      Location name

  * `destination`

    object

    Consignee information

    * `country`

      string

      Consignee country

    * `email`

      string

      Consignee mailbox

    * `last_name`

      string

      Consignee last name

    * `city`

      string

      Consignee city

    * `first_name`

      string

      Consignee name

    * `province`

      string

      Consignee province

    * `address2`

      string

      Consignee address 2

    * `zip`

      string

      Consignee address zip

    * `address1`

      string

      Consignee address 1

    * `company`

      string

      Consignee company

    * `phone`

      string

      Consignee phone number


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `write_assigned_fulfillment_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "rMQt61XZ",
  "parameters": [
    {
      "name": "fulfillment_order_id",
      "in": "path",
      "description": "Performance order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_order_id",
        "description": "Performance order id",
        "type": "string",
        "example": "\"4005740193290131085320\""
      },
      "example": "\"4005740193290131085320\""
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "Order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order id",
        "type": "string",
        "example": "\"21057401932826316666967110\""
      },
      "example": "\"21057401932826316666967110\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "fulfillment_order": {
              "name": "fulfillment_order",
              "description": "In-blend",
              "type": "object",
              "properties": {
                "new_location_id": {
                  "name": "new_location_id",
                  "description": "New location id",
                  "type": "string",
                  "example": "\"134429880\""
                }
              },
              "required": [
                "new_location_id"
              ],
              "example": {
                "new_location_id": "\"134429880\""
              }
            }
          },
          "required": [
            "fulfillment_order"
          ],
          "example": {
            "fulfillment_order": {
              "new_location_id": "\"134429880\""
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "moved_fulfillment_order": {
                "name": "moved_fulfillment_order",
                "description": "New item appointment details",
                "type": "object",
                "properties": {
                  "shop_id": {
                    "name": "shop_id",
                    "description": "store ID",
                    "type": "string",
                    "example": "\"1644828244663\""
                  },
                  "id": {
                    "name": "id",
                    "description": "Performance order id",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "status": {
                    "name": "status",
                    "description": "Map order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled",
                    "type": "string",
                    "example": "\"open\""
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order id",
                    "type": "string",
                    "example": "\"21057401932826316666967110\""
                  },
                  "request_status": {
                    "name": "request_status",
                    "description": "Request status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmitted",
                    "type": "string",
                    "example": "\"submitted\""
                  },
                  "assigned_location_id": {
                    "name": "assigned_location_id",
                    "description": "Assigned location id",
                    "type": "string",
                    "example": "\"5327026538935748524\""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "Product line information",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "Product line information",
                      "type": "object",
                      "properties": {
                        "quantity": {
                          "name": "quantity",
                          "description": "Order Product line Product quantity",
                          "type": "long",
                          "example": 1
                        },
                        "shop_id": {
                          "name": "shop_id",
                          "description": "store ID",
                          "type": "string",
                          "example": "\"1644828244663\""
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product sku",
                          "type": "string",
                          "example": "\"18055128824718541486811487\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "Available in approximately Product quantities",
                          "type": "long",
                          "example": 1
                        },
                        "fulfillment_order_id": {
                          "name": "fulfillment_order_id",
                          "description": "Performance order id",
                          "type": "string",
                          "example": "\"4005740193290131085320\""
                        },
                        "id": {
                          "name": "id",
                          "description": "Performance order Product line id",
                          "type": "string",
                          "example": "\"1039283\""
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "Product row id",
                          "type": "string",
                          "example": "\"518995019\""
                        }
                      },
                      "example": {
                        "quantity": 1,
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\""
                      }
                    },
                    "example": [
                      {
                        "quantity": 1,
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\""
                      }
                    ]
                  },
                  "supported_actions": {
                    "name": "supported_actions",
                    "description": "Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery",
                    "type": "array",
                    "items": {
                      "name": "supported_actions",
                      "description": "Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery",
                      "type": "string",
                      "example": "[\"create_fulfillment\"]"
                    },
                    "example": [
                      "[\"create_fulfillment\"]"
                    ]
                  },
                  "assigned_location": {
                    "name": "assigned_location",
                    "description": "Location details assigned",
                    "type": "object",
                    "properties": {
                      "province": {
                        "name": "province",
                        "description": "Local province",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Location zip code",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Address 1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Address 2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "city": {
                        "name": "city",
                        "description": "City",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "name": {
                        "name": "name",
                        "description": "Location name",
                        "type": "string",
                        "example": "\"Apple Api Shipwire\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Location phone number",
                        "type": "string",
                        "example": "\"+1(502)-459-3417\""
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country code",
                        "type": "string",
                        "example": "\"US"
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "Location id",
                        "type": "string",
                        "example": "\"5327026538935748524\""
                      }
                    },
                    "example": {
                      "phone": "\"+1(502)-459-3417\"",
                      "zip": "\"40202\"",
                      "address2": "\"Chestnut Street 92\"",
                      "country_code": "\"US",
                      "city": "\"Louisville\"",
                      "location_id": "\"5327026538935748524\"",
                      "address1": "\"Chestnut Street 92\"",
                      "name": "\"Apple Api Shipwire\"",
                      "province": "\"Kentucky\""
                    }
                  },
                  "destination": {
                    "name": "destination",
                    "description": "Consignee information",
                    "type": "object",
                    "properties": {
                      "city": {
                        "name": "city",
                        "description": "Consignee city",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Consignee address 2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Consignee phone number",
                        "type": "string",
                        "example": "\"+1(502)-459-2181\""
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "Consignee last name",
                        "type": "string",
                        "example": "\"Norman\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Consignee address 1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "company": {
                        "name": "company",
                        "description": "Consignee company",
                        "type": "string",
                        "example": "\"Apple inc\""
                      },
                      "province": {
                        "name": "province",
                        "description": "Consignee province",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Consignee address zip",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "country": {
                        "name": "country",
                        "description": "Consignee country",
                        "type": "string",
                        "example": "\"United States\""
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "Consignee name",
                        "type": "string",
                        "example": "\"Bob\""
                      },
                      "email": {
                        "name": "email",
                        "description": "Consignee mailbox",
                        "type": "string",
                        "example": "\"bob.norman@mail.example.com\""
                      }
                    },
                    "example": {
                      "last_name": "\"Norman\"",
                      "zip": "\"40202\"",
                      "company": "\"Apple inc\"",
                      "phone": "\"+1(502)-459-2181\"",
                      "province": "\"Kentucky\"",
                      "country": "\"United States\"",
                      "first_name": "\"Bob\"",
                      "address2": "\"Chestnut Street 92\"",
                      "city": "\"Louisville\"",
                      "email": "\"bob.norman@mail.example.com\"",
                      "address1": "\"Chestnut Street 92\""
                    }
                  }
                },
                "example": {
                  "supported_actions": [
                    "[\"create_fulfillment\"]"
                  ],
                  "destination": {
                    "country": "\"United States\"",
                    "email": "\"bob.norman@mail.example.com\"",
                    "last_name": "\"Norman\"",
                    "address2": "\"Chestnut Street 92\"",
                    "city": "\"Louisville\"",
                    "first_name": "\"Bob\"",
                    "province": "\"Kentucky\"",
                    "zip": "\"40202\"",
                    "address1": "\"Chestnut Street 92\"",
                    "phone": "\"+1(502)-459-2181\"",
                    "company": "\"Apple inc\""
                  },
                  "shop_id": "\"1644828244663\"",
                  "line_items": [
                    {
                      "variant_id": "\"18055128824718541486811487\"",
                      "fulfillable_quantity": 1,
                      "fulfillment_order_id": "\"4005740193290131085320\"",
                      "id": "\"1039283\"",
                      "line_item_id": "\"518995019\"",
                      "quantity": 1,
                      "shop_id": "\"1644828244663\""
                    }
                  ],
                  "order_id": "\"21057401932826316666967110\"",
                  "assigned_location_id": "\"5327026538935748524\"",
                  "assigned_location": {
                    "address2": "\"Chestnut Street 92\"",
                    "name": "\"Apple Api Shipwire\"",
                    "province": "\"Kentucky\"",
                    "country_code": "\"US",
                    "phone": "\"+1(502)-459-3417\"",
                    "zip": "\"40202\"",
                    "address1": "\"Chestnut Street 92\"",
                    "location_id": "\"5327026538935748524\"",
                    "city": "\"Louisville\""
                  },
                  "id": "\"4005740193290131085320\"",
                  "request_status": "\"submitted\"",
                  "status": "\"open\""
                }
              },
              "original_fulfillment_order": {
                "name": "original_fulfillment_order",
                "description": "Original order details",
                "type": "object",
                "properties": {
                  "order_id": {
                    "name": "order_id",
                    "description": "Order id",
                    "type": "string",
                    "example": "\"21057401932826316666967110\""
                  },
                  "shop_id": {
                    "name": "shop_id",
                    "description": "store ID",
                    "type": "string",
                    "example": "\"1644828244663\""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "Product line information",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "Product line information",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "Performance order Product line id",
                          "type": "string",
                          "example": "\"1039283\""
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "Product row id",
                          "type": "string",
                          "example": "\"518995019\""
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Order Product line Product quantity",
                          "type": "long",
                          "example": 1
                        },
                        "shop_id": {
                          "name": "shop_id",
                          "description": "store ID",
                          "type": "string",
                          "example": "\"1644828244663\""
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product sku",
                          "type": "string",
                          "example": "\"18055128824718541486811487\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "Available in approximately Product quantities",
                          "type": "long",
                          "example": 1
                        },
                        "fulfillment_order_id": {
                          "name": "fulfillment_order_id",
                          "description": "Performance order id",
                          "type": "string",
                          "example": "\"4005740193290131085320\""
                        }
                      },
                      "example": {
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\"",
                        "quantity": 1,
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\""
                      }
                    },
                    "example": [
                      {
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\"",
                        "quantity": 1,
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\""
                      }
                    ]
                  },
                  "assigned_location_id": {
                    "name": "assigned_location_id",
                    "description": "Assigned location id",
                    "type": "string",
                    "example": "\"5327026538935748524\""
                  },
                  "id": {
                    "name": "id",
                    "description": "Performance order id",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "status": {
                    "name": "status",
                    "description": "Map order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled",
                    "type": "string",
                    "example": "\"open\""
                  },
                  "supported_actions": {
                    "name": "supported_actions",
                    "description": "Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery",
                    "type": "array",
                    "items": {
                      "name": "supported_actions",
                      "description": "Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery",
                      "type": "string",
                      "example": "[\"create_fulfillment\"]"
                    },
                    "example": [
                      "[\"create_fulfillment\"]"
                    ]
                  },
                  "request_status": {
                    "name": "request_status",
                    "description": "Request status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmitted",
                    "type": "string",
                    "example": "\"submitted\""
                  },
                  "assigned_location": {
                    "name": "assigned_location",
                    "description": "Location details assigned",
                    "type": "object",
                    "properties": {
                      "phone": {
                        "name": "phone",
                        "description": "Location phone number",
                        "type": "string",
                        "example": "\"+1(502)-459-3417\""
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "Location id",
                        "type": "string",
                        "example": "\"5327026538935748524\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Address 1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Address 2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "city": {
                        "name": "city",
                        "description": "City",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country code",
                        "type": "string",
                        "example": "\"US\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Location zip code",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "province": {
                        "name": "province",
                        "description": "Local province",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "name": {
                        "name": "name",
                        "description": "Location name",
                        "type": "string",
                        "example": "\"Apple Api Shipwire\""
                      }
                    },
                    "example": {
                      "address2": "\"Chestnut Street 92\"",
                      "phone": "\"+1(502)-459-3417\"",
                      "province": "\"Kentucky\"",
                      "zip": "\"40202\"",
                      "city": "\"Louisville\"",
                      "location_id": "\"5327026538935748524\"",
                      "country_code": "\"US\"",
                      "address1": "\"Chestnut Street 92\"",
                      "name": "\"Apple Api Shipwire\""
                    }
                  },
                  "destination": {
                    "name": "destination",
                    "description": "Consignee information",
                    "type": "object",
                    "properties": {
                      "country": {
                        "name": "country",
                        "description": "Consignee country",
                        "type": "string",
                        "example": "\"United States\""
                      },
                      "email": {
                        "name": "email",
                        "description": "Consignee mailbox",
                        "type": "string",
                        "example": "\"bob.norman@mail.example.com\""
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "Consignee last name",
                        "type": "string",
                        "example": "\"Norman\""
                      },
                      "city": {
                        "name": "city",
                        "description": "Consignee city",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "Consignee name",
                        "type": "string",
                        "example": "\"Bob\""
                      },
                      "province": {
                        "name": "province",
                        "description": "Consignee province",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Consignee address 2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Consignee address zip",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Consignee address 1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "company": {
                        "name": "company",
                        "description": "Consignee company",
                        "type": "string",
                        "example": "\"Apple inc\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Consignee phone number",
                        "type": "string",
                        "example": "\"+1(502)-459-2181\""
                      }
                    },
                    "example": {
                      "email": "\"bob.norman@mail.example.com\"",
                      "province": "\"Kentucky\"",
                      "first_name": "\"Bob\"",
                      "city": "\"Louisville\"",
                      "address2": "\"Chestnut Street 92\"",
                      "phone": "\"+1(502)-459-2181\"",
                      "company": "\"Apple inc\"",
                      "last_name": "\"Norman\"",
                      "address1": "\"Chestnut Street 92\"",
                      "country": "\"United States\"",
                      "zip": "\"40202\""
                    }
                  }
                },
                "example": {
                  "assigned_location": {
                    "province": "\"Kentucky\"",
                    "address1": "\"Chestnut Street 92\"",
                    "city": "\"Louisville\"",
                    "country_code": "\"US\"",
                    "location_id": "\"5327026538935748524\"",
                    "name": "\"Apple Api Shipwire\"",
                    "phone": "\"+1(502)-459-3417\"",
                    "address2": "\"Chestnut Street 92\"",
                    "zip": "\"40202\""
                  },
                  "status": "\"open\"",
                  "destination": {
                    "last_name": "\"Norman\"",
                    "zip": "\"40202\"",
                    "province": "\"Kentucky\"",
                    "address2": "\"Chestnut Street 92\"",
                    "address1": "\"Chestnut Street 92\"",
                    "country": "\"United States\"",
                    "phone": "\"+1(502)-459-2181\"",
                    "company": "\"Apple inc\"",
                    "email": "\"bob.norman@mail.example.com\"",
                    "city": "\"Louisville\"",
                    "first_name": "\"Bob\""
                  },
                  "assigned_location_id": "\"5327026538935748524\"",
                  "request_status": "\"submitted\"",
                  "id": "\"4005740193290131085320\"",
                  "line_items": [
                    {
                      "variant_id": "\"18055128824718541486811487\"",
                      "fulfillable_quantity": 1,
                      "fulfillment_order_id": "\"4005740193290131085320\"",
                      "id": "\"1039283\"",
                      "line_item_id": "\"518995019\"",
                      "quantity": 1,
                      "shop_id": "\"1644828244663\""
                    }
                  ],
                  "order_id": "\"21057401932826316666967110\"",
                  "shop_id": "\"1644828244663\"",
                  "supported_actions": [
                    "[\"create_fulfillment\"]"
                  ]
                }
              }
            },
            "example": {
              "moved_fulfillment_order": {
                "request_status": "\"submitted\"",
                "shop_id": "\"1644828244663\"",
                "destination": {
                  "city": "\"Louisville\"",
                  "phone": "\"+1(502)-459-2181\"",
                  "country": "\"United States\"",
                  "address1": "\"Chestnut Street 92\"",
                  "last_name": "\"Norman\"",
                  "province": "\"Kentucky\"",
                  "zip": "\"40202\"",
                  "company": "\"Apple inc\"",
                  "email": "\"bob.norman@mail.example.com\"",
                  "first_name": "\"Bob\"",
                  "address2": "\"Chestnut Street 92\""
                },
                "supported_actions": [
                  "[\"create_fulfillment\"]"
                ],
                "order_id": "\"21057401932826316666967110\"",
                "status": "\"open\"",
                "assigned_location": {
                  "location_id": "\"5327026538935748524\"",
                  "name": "\"Apple Api Shipwire\"",
                  "zip": "\"40202\"",
                  "address2": "\"Chestnut Street 92\"",
                  "country_code": "\"US",
                  "phone": "\"+1(502)-459-3417\"",
                  "province": "\"Kentucky\"",
                  "address1": "\"Chestnut Street 92\"",
                  "city": "\"Louisville\""
                },
                "assigned_location_id": "\"5327026538935748524\"",
                "id": "\"4005740193290131085320\"",
                "line_items": [
                  {
                    "fulfillable_quantity": 1,
                    "fulfillment_order_id": "\"4005740193290131085320\"",
                    "id": "\"1039283\"",
                    "line_item_id": "\"518995019\"",
                    "quantity": 1,
                    "shop_id": "\"1644828244663\"",
                    "variant_id": "\"18055128824718541486811487\""
                  }
                ]
              },
              "original_fulfillment_order": {
                "assigned_location": {
                  "province": "\"Kentucky\"",
                  "phone": "\"+1(502)-459-3417\"",
                  "country_code": "\"US\"",
                  "address1": "\"Chestnut Street 92\"",
                  "address2": "\"Chestnut Street 92\"",
                  "city": "\"Louisville\"",
                  "name": "\"Apple Api Shipwire\"",
                  "zip": "\"40202\"",
                  "location_id": "\"5327026538935748524\""
                },
                "request_status": "\"submitted\"",
                "destination": {
                  "address1": "\"Chestnut Street 92\"",
                  "first_name": "\"Bob\"",
                  "country": "\"United States\"",
                  "last_name": "\"Norman\"",
                  "province": "\"Kentucky\"",
                  "address2": "\"Chestnut Street 92\"",
                  "company": "\"Apple inc\"",
                  "phone": "\"+1(502)-459-2181\"",
                  "zip": "\"40202\"",
                  "email": "\"bob.norman@mail.example.com\"",
                  "city": "\"Louisville\""
                },
                "line_items": [
                  {
                    "variant_id": "\"18055128824718541486811487\"",
                    "fulfillable_quantity": 1,
                    "fulfillment_order_id": "\"4005740193290131085320\"",
                    "id": "\"1039283\"",
                    "line_item_id": "\"518995019\"",
                    "quantity": 1,
                    "shop_id": "\"1644828244663\""
                  }
                ],
                "shop_id": "\"1644828244663\"",
                "supported_actions": [
                  "[\"create_fulfillment\"]"
                ],
                "id": "\"4005740193290131085320\"",
                "assigned_location_id": "\"5327026538935748524\"",
                "order_id": "\"21057401932826316666967110\"",
                "status": "\"open\""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/fulfillment_orders/:order_id/:fulfillment_order_id/move.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update inventory location for  fulfillment order",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_assigned_fulfillment_orders"
  ]
}
```